# Uncomment the next line to define a global platform for your project
# platform :ios, '13.0'

def miscellaneous_pods
  pod 'RxSwift', '5.1.1'
  pod 'IQKeyboardManagerSwift', '6.5.5'
  pod 'SwiftyJSON', '5.0.0'
  pod 'Toast-Swift', '~> 5.0.1'
  pod 'RxCocoa', '5.1.1'
  pod 'OTPFieldView'
  pod 'SwifterSwift', '5.1.0'
end

def networking_pods
  pod 'Alamofire', '4.9.1'
  pod 'AlamofireImage', '3.6.0'
end

def test_pods
  pod 'Quick', '2.2.0'
  pod 'Nimble', '9.0.0'
  pod 'Fakery', '4.1.1'
  pod 'Mocker', '1.3.0'
end

def jojonomic_test_pods 
  networking_pods
  miscellaneous_pods
end

target 'Jojonomic-test' do
  use_frameworks!

  jojonomic_test_pods
end
